sysdecode_ioctlname(3)

NAME
sysdecode_ioctlname - lookup name of device control command

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <sysdecode.h>
const char *
sysdecode_ioctlname(unsigned long request);

DESCRIPTION
The sysdecode_ioctlname() function returns the name of a device control request identified by request. A table of names is generated during the build of the sysdecode library from system headers that maps device control request values to the name of the corresponding C macro.

RETURN VALUES
The sysdecode_ioctlname() function returns the name of a device control request if request is a known value; otherwise NULL.

SEE ALSO
sysdecode(3)